aboutsummaryrefslogtreecommitdiff
path: root/chinese/cle_base/files
diff options
context:
space:
mode:
Diffstat (limited to 'chinese/cle_base/files')
-rw-r--r--chinese/cle_base/files/INSTALL.in36
-rw-r--r--chinese/cle_base/files/yp.conf15
2 files changed, 51 insertions, 0 deletions
diff --git a/chinese/cle_base/files/INSTALL.in b/chinese/cle_base/files/INSTALL.in
new file mode 100644
index 000000000000..1f387965fc12
--- /dev/null
+++ b/chinese/cle_base/files/INSTALL.in
@@ -0,0 +1,36 @@
+#!/bin/sh
+# an installation script for linux_base
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+if [ -z "`kldstat -v | grep -E 'linux(aout|elf)'`" ]; then
+ echo 'Linux mode is not enabled.'
+ echo 'Loading linux kernel module now...'
+ if ! kldload linux; then
+ echo 'The linux kernel module could not be loaded.'
+ echo 'Please enable linux mode manually and retry.'
+ exit 1
+ fi
+fi
+
+if [ ! -f @PREFIX@/usr/share/locale/zh_TW.Big5/LC_CTYPE ] && \
+ [ -f @PREFIX@/lib/ld.so ]; then
+ echo ----------------------------------------------
+ echo You have linux_base installed!
+ echo Please remove it before install zh-linux_base.
+ echo ----------------------------------------------
+ exit 1
+fi
+
+if [ -f @PREFIX@/usr/share/locale/zh_TW.Big5/LC_CTYPE ] && \
+ [ ! -f @PREFIX@/CLE-0.9-PRE2 ]; then
+ echo --------------------------------------------------------------------
+ echo You have previous release of zh-linux_base or zh-CLE_base installed!
+ echo Please remove it before install this version.
+ echo --------------------------------------------------------------------
+ exit 1
+fi
+
+exit 0
diff --git a/chinese/cle_base/files/yp.conf b/chinese/cle_base/files/yp.conf
new file mode 100644
index 000000000000..76d442bd6a87
--- /dev/null
+++ b/chinese/cle_base/files/yp.conf
@@ -0,0 +1,15 @@
+# sample yp.conf file
+#
+# Legal entries are:
+#
+# domainname <domain> Override the default YP domain
+# (If not set uses the one from
+# the getdomainname() syscall)
+#
+# ypserver <grape> [<domain>] Define which host to contact
+# for YP service. If the <domain>
+# argument is included then this
+# host service the specified YP
+# domain.
+domainname my.domain
+ypserver localhost